# QSqlField Class Reference

### [com.trolltech.qt.sql package]

### Constructor

- void QSqlField(QSqlField other)
- void QSqlField(String fieldName, QVariant::Type type)

### Constructor Properties

- prototype: The QSqlField prototype object
- Unknown = -1
- Optional = 0
- Required = 1
- RequiredStatus( value )

### Prototype Object Properties

- void clear()
- Object defaultValue()
- bool isAutoValue()
- bool isGenerated()
- bool isNull()
- bool isReadOnly()
- bool isValid()
- int length()
- String name()
- bool operator_equal(QSqlField other)
- int precision()
- RequiredStatus requiredStatus()
- void setAutoValue(bool autoVal)
- void setDefaultValue(Object value)
- void setGenerated(bool gen)
- void setLength(int fieldLength)
- void setName(String name)
- void setPrecision(int precision)
- void setReadOnly(bool readOnly)
- void setRequired(bool required)
- void setRequiredStatus(RequiredStatus status)
- void setSqlType(int type)
- void setType(QVariant::Type type)
- void setValue(Object value)
- QVariant::Type type()
- int typeID()
- Object value()

### Instance Properties

QSqlField objects have no special properties beyond those inherited from the QSqlField prototype object.